cache_events.h File Reference
`#include <cstdint>`
`#include <type_traits>`

Go to the source code of this file.

## Namespaces

namespace | core
| Top-level namespace for core functionality.

## Enumerations

enum class | core::CacheEvent : uint32_t { core::get = 1 << 0 , core::put = 1 << 1 , core::invalidate = 1 << 2 , core::touch = 1 << 3 , core::miss = 1 << 4 , core::evict_ttl = 1 << 5 , core::evict_lru = 1 << 6 , core::END_ = 1 << 7 }
| Event types that can be monitored. More...

## Functions

CacheEvent | core::operator| (CacheEvent left, CacheEvent right)
| Returns the bitwise OR of two event types.
CacheEvent & | core::operator|= (CacheEvent &left, CacheEvent right)
| Assigns the bitwise OR of left and right to left.
CacheEvent | core::operator& (CacheEvent left, CacheEvent right)
| Returns the bitwise AND of two event types.
CacheEvent & | core::operator&= (CacheEvent &left, CacheEvent right)
| Assigns the bitwise AND of left and right to left.
CacheEvent | core::operator~ (CacheEvent ev)
| Returns the bitwise NOT of ev. Unused bits are set to zero.